Cyberduck Mountain Duck CLI

#2551 closed defect (duplicate)

Option to automatically reconnect and resume downloads

Reported by: anonymous Owned by: dkocher
Priority: normal Milestone:
Component: sftp Version: 4.1
Severity: normal Keywords:
Cc: Architecture:
Platform:

Description

I am trying to use Cyberduck to copy a large folder full of files from a server. So I selected all the files in the list, and chose "Download to.." and off Cyberduck went.

Except as soon as my connection dropped for a sec, Cyberduck stopped dead in its tracks.

Could there be an option to try to resume when a connection drops, such that I can start the download (which is large, consisting of many files, and is reported that it will last over 10 hours), and have Cyberduck continually download (with automatic reconnecting/resuming when a connection is lost)?

Change History (3)

comment:1 Changed on Oct 18, 2008 at 1:03:33 PM by dkocher

  • Milestone 3.1 deleted
  • Resolution set to worksforme
  • Status changed from new to closed

See Preferences → Connection → Repeat failed networking tasks.

comment:2 Changed on Aug 23, 2012 at 5:21:18 PM by Arne Schmitz De

  • Resolution worksforme deleted
  • Status changed from closed to reopened
  • Version changed from 3.0.2 to 4.1

This does not work in all cases (Cyberduck 4.1). E.g. I am syncing files with an SFTP server via another SSH tunnel. If the SSH tunnel breaks down, Cyberduck will not retry the network connection. I think this should be the case. I can only guess why this is so, but probably the local SSH client that provides the tunnel somehow properly closes the TCP based SSH connection, so that Cyberduck does not retry, as it would in case of a timeout, or if a host is unreachable.

comment:3 Changed on Oct 4, 2012 at 11:37:59 AM by dkocher

  • Component changed from core to sftp
  • Resolution set to duplicate
  • Status changed from reopened to closed

Duplicate for #6781.

Note: See TracTickets for help on using tickets.
swiss made software